Peppermint OS

Support => Advanced Topics => Topic started by: spence on July 01, 2014, 05:25:48 pm

Title: terminal error : Could not load Gedit repository
Post by: spence on July 01, 2014, 05:25:48 pm
anybody got a clue about how to rectify this?

Code: [Select]
spence@hpG6 ~ $ sudo gedit
[sudo] password for spence:

** (gedit:2291): WARNING **: Could not load Gedit repository: Typelib file for namespace 'GtkSource', version '3.0' not found

a duckduck search tells me to use gksudo instead of sudo?

http://askubuntu.com/questions/369915/warnings-while-launching-gedit-from-the-ubuntu-terminal (http://askubuntu.com/questions/369915/warnings-while-launching-gedit-from-the-ubuntu-terminal)

since that post is dated prior to P5s release I'll await instruction from here...
Title: Re: terminal error : Could not load Gedit repository
Post by: spence on July 01, 2014, 05:36:45 pm
well gksudo gedit eliminates the error message.... dunno why though yet... learning something new every day...
Title: Re: terminal error : Could not load Gedit repository
Post by: kendall on July 01, 2014, 06:26:27 pm
It's just a warning so it won't affect the actual function of the application. In addition to running it with gksudo you can install the package "gir1.2-gtksource-3.0" which should eliminate the warning.
Title: Re: terminal error : Could not load Gedit repository
Post by: Slim.Fatz on July 02, 2014, 12:51:36 am
I believe that you should in general start GUI-based programs using gksudo and CLI-programs (i.e. those without a graphical user interface) by using sudo.  ;)


Regards,
-- Slim